cascading.flow.stream.element

## Class FilterEachStage

- java.lang.Object
- - cascading.flow.stream.duct.Duct<Incoming,Outgoing>
  - - cascading.flow.stream.duct.Stage<Incoming,Outgoing>
    - - cascading.flow.stream.element.ElementStage<Incoming,TupleEntry>
      - - cascading.flow.stream.element.OperatorStage<TupleEntry>
        - - cascading.flow.stream.element.EachStage
          - - cascading.flow.stream.element.FilterEachStage

- All Implemented Interfaces:
    ElementDuct

      public class FilterEachStage
      extends EachStage

- - ### Field Summary

    - ### Fields inherited from class cascading.flow.stream.element.OperatorStage

      `argumentsBuilder, argumentsEntry, argumentsSelector, incomingEntry, operationCall, outgoingBuilder, outgoingEntry, outgoingSelector, outputCollector, remainderFields, RETAIN_COLLECTOR`

    - ### Fields inherited from class cascading.flow.stream.element.ElementStage

      `branchNames, flowElement, flowProcess, incomingScopes, outgoingScopes, trapHandler`

    - ### Fields inherited from class cascading.flow.stream.duct.Duct

      `next, ordinal`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterEachStage(FlowProcess flowProcess, Each each)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Fields` | `getIncomingArgumentsFields()`
    `protected Fields` | `getIncomingPassThroughFields()`
    `void` | `initialize()` Called immediately after bind
    `void` | `receive(Duct previous, TupleEntry incomingEntry)`

    - ### Methods inherited from class cascading.flow.stream.element.EachStage

      `getOperator, getOutgoingSelector`

    - ### Methods inherited from class cascading.flow.stream.element.OperatorStage

      `cleanup, complete, createArgumentsBuilder, createOutgoingBuilder, getOperationDeclaredFields, prepare`

    - ### Methods inherited from class cascading.flow.stream.element.ElementStage

      `equals, getBranchNames, getFlowElement, getIncomingScopes, getOutgoingFields, getOutgoingScopes, handleException, handleReThrowableException, hashCode, hasTrapHandler, setBranchNames, setTrapHandler, toString`

    - ### Methods inherited from class cascading.flow.stream.duct.Duct

      `bind, getNext, getNextFor, receiveFirst, start`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FilterEachStage

          public FilterEachStage(FlowProcess flowProcess,
                         Each each)

  - ### Method Detail

    - #### getIncomingPassThroughFields

          protected Fields getIncomingPassThroughFields()

      Specified by:
        `getIncomingPassThroughFields` in class `OperatorStage<TupleEntry>`

    - #### getIncomingArgumentsFields

          protected Fields getIncomingArgumentsFields()

      Specified by:
        `getIncomingArgumentsFields` in class `OperatorStage<TupleEntry>`

    - #### initialize

          public void initialize()

      Description copied from class: `Duct`
      Called immediately after bind
      Overrides:
        `initialize` in class `OperatorStage<TupleEntry>`

    - #### receive

          public void receive(Duct previous,
                     TupleEntry incomingEntry)

      Overrides:
        `receive` in class `Stage<TupleEntry,TupleEntry>`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.